### Method

# Gtk.TreeModel.get_iter

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreePath* path
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path`. If `path` does not exist, `iter` is set to an invalid iterator and `FALSE` is returned.

#### Parameters

`iter` | `GtkTreeIter`
| the uninitialized `GtkTreeIter`-struct
| Direction: out
| Ownership is not transferred to the callee
`path` | `GtkTreePath`
| the `GtkTreePath`-struct
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE`, if `iter` was set